#keyboardInputMaster {
  position:absolute;
  border-top:1px solid #6e6e6e;
  border-right:1px solid #6e6e6e;
  border-bottom:1px solid #6e6e6e;
  border-left:1px solid #6e6e6e;
  border-radius:0.4em;
  -moz-border-radius:0.4em;
  -webkit-border-radius:0.4em;
  box-shadow:0px 2px 10px #444444;
  -moz-box-shadow:0px 2px 10px #444444;
  -webkit-box-shadow:0px 2px 10px #444444;
  opacity:1;
  filter:alpha(opacity=95);
  background-color:#dddddd;
  text-align:left;
  z-index:1000000;
  width:auto;
  height:auto;
  min-width:0;
  min-height:0;
  margin:0px;
  line-height:normal;
  -moz-user-select:none;
  cursor:default;
  border-collapse:separate;
}
#keyboardInputMaster * {
  position:static;
  color:#000000;
  background:#f6f6f6;
  font:normal 11px Arial,sans-serif;
  width:auto;
  height:auto;
  min-width:0;
  min-height:0;
  margin:0px;
  padding:0px;
  border:0px none;
  outline:0px;
  vertical-align:baseline;
  line-height:1.3em;
}
#keyboardInputMaster.keyboardInputSize1 * { font-size:9px; }
#keyboardInputMaster.keyboardInputSize3 * { font-size:13px; }
#keyboardInputMaster.keyboardInputSize4 * { font-size:16px; }
#keyboardInputMaster.keyboardInputSize5 * { font-size:20px; }

#keyboardInputMaster thead tr th,
#keyboardInputMaster thead tr td {
  padding:0.4em 0.3em 0.2em 0.3em;
  background-color:#f6f6f6;
  white-space:nowrap;
}
#keyboardInputMaster thead tr th {
  text-align:left;
  width:170px;
  vertical-align:middle;
}
#keyboardInputMaster thead tr th abbr {
  font-size:1.3em;
  font-weight:bold;
  text-decoration:none;
  margin-right:4%;
  vertical-align:middle;
}
#keyboardInputMaster #tsSelect{
  margin-right:3%;
  margin-left:10%;
  border:1px inset #888888;
  background-color:white;
  vertical-align:middle;
  font-size:inherit;
}

#keyboardInputMaster thead tr th select,
#keyboardInputMaster thead tr th option,
#keyboardInputMaster thead tr th label input {
  margin-right:3%;
  border:1px inset #888888;
  background-color:white;
  vertical-align:middle;
  font-size:inherit;
}
#keyboardInputMaster thead tr th label input {
  width:1.1em;
  height:1.1em;
}
#keyboardInputMaster thead tr td {
  text-align:right;
  vertical-align:middle;
}
#keyboardInputMaster thead tr th span{
  display:inline-block;
  padding:0px 0.5em;
  height:1.5em;
  line-height:1.5em;
  min-width:3.3em;
  text-align:center;
  border-top:1px solid #5d5d5d;
  border-right:1px solid #5d5d5d;
  border-bottom:1px solid #5d5d5d;
  border-left:1px solid #5d5d5d;
  background-color:white;
  cursor:pointer;
  margin:0px 0px 0px 1.1em;
  border-radius:0.3em;
  -moz-border-radius:0.3em;
  -webkit-border-radius:0.3em;
}

#keyboardInputMaster thead tr td span,
#keyboardInputMaster thead tr td strong {
  display:inline-block;
  padding:0px 0.5em;
  height:1.5em;
  line-height:1.5em;
  border-top:1px solid #5d5d5d;
  border-right:1px solid #5d5d5d;
  border-bottom:1px solid #5d5d5d;
  border-left:1px solid #5d5d5d;
  background-color:white;
  cursor:pointer;
  margin:0px 0px 0px 0.3em;
  border-radius:0.3em;
  -moz-border-radius:0.3em;
  -webkit-border-radius:0.3em;
}
#keyboardInputMaster thead tr td strong {
  font-weight:bold;
}
#keyboardInputMaster thead tr th span:hover,
#keyboardInputMaster thead tr td span:hover,
#keyboardInputMaster thead tr td strong:hover {
  background-color:#dddddd;
}

#keyboardInputMaster tbody tr td {
  text-align:center;
  padding:0.2em 0.3em 0.3em 0.3em;
}
#keyboardInputMaster tbody tr td div {
  text-align:center;
  position:relative;
  height:0px;
}
#keyboardInputMaster tbody tr td div#keyboardInputLayout {
  height:auto;
  zoom:1;
}
#keyboardInputMaster tbody tr td div#keyboardInputLayout table {
  height:2.4em;
  white-space:nowrap;
  width:100%;
  border-collapse:separate;
  border-spacing:5px;
}
#keyboardInputMaster tbody tr td div#keyboardInputLayout table.keyboardInputCenter {
  width:auto;
  margin:0px auto;
}
#keyboardInputMaster tbody tr td div#keyboardInputLayout table tbody tr td {
  vertical-align:middle;
  padding:0px 0.45em;
  white-space:pre;
  font-family:'Lucida Console','Arial Unicode MS',monospace;
  border-top:1px solid #5d5d5d;
  border-right:1px solid #5d5d5d;
  border-bottom:1px solid #5d5d5d;
  border-left:1px solid #5d5d5d;
  background-color:white;
  cursor:pointer;
  min-width:1.05em;
  border-radius:0.4em;
  -moz-border-radius:0.4em;
  -webkit-border-radius:0.4em;
}
#keyboardInputMaster tbody tr td div#keyboardInputLayout table tbody tr td.last {
  width:99%;
}
#keyboardInputMaster tbody tr td div#keyboardInputLayout table tbody tr td.keyboardHidden {
  visibility: hidden;
}
#keyboardInputMaster tbody tr td div#keyboardInputLayout table tbody tr td.tsmjHidden {
  visibility: hidden;
  min-width: 0.35em;
  padding: 0px;
}
#keyboardInputMaster tbody tr td div#keyboardInputLayout table tbody tr td.space {
  padding:0px 8em;
}
#keyboardInputMaster tbody tr td div#keyboardInputLayout table tbody tr td.alive {
  background-color:#ccccdd;
}
#keyboardInputMaster tbody tr td div#keyboardInputLayout table tbody tr td.target {
  background-color:#ddddcc;
}
#keyboardInputMaster tbody tr td div#keyboardInputLayout table tbody tr td.hover {  
  background-color:#ccccdd;
}
#keyboardInputMaster thead tr td span.pressed,
#keyboardInputMaster tbody tr td div#keyboardInputLayout table tbody tr td.pressed,
#keyboardInputMaster tbody tr td div#keyboardInputLayout table tbody tr td.dead {
  background-color:#cccccc;
}

#keyboardInputMaster tbody tr td div#keyboardInputLayout table tbody tr td small {
  display:block;
  text-align:center;
  font-size:0.6em;
  line-height:1.1em;
}

#keyboardInputMaster tbody tr td div var {
  position:absolute;
  bottom:0px;
  right:0px;
  font-weight:bold;
  font-style:italic;
  color:#444444;
}

.keyboardInputInitiator {
  margin:0px 3px;
  vertical-align:middle;
  cursor:pointer;
}

.tsView{
	cursor:default !important;
	background-color:#444444 !important;
}